libgutenprint API Reference 5.2.11

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Functions
path.h File Reference

Simple directory path functions. More...

## Functions
stp_list_t * | stp_path_search (stp_list_t *dirlist, const char *suffix)
void | stp_path_split (stp_list_t *list, const char *path)
stp_list_t * | stpi_data_path (void)
stp_list_t * | stpi_list_files_on_data_path (const char *name)
char * | stpi_path_merge (const char *path, const char *file)

## Detailed Description

Simple directory path functions.

## Function Documentation

stp_list_t* stp_path_search | ( | stp_list_t * | dirlist,
|  | const char * | suffix
| ) |  |

void stp_path_split | ( | stp_list_t * | list,
|  | const char * | path
| ) |  |

stp_list_t* stpi_data_path | ( | void |  | ) |

stp_list_t* stpi_list_files_on_data_path | ( | const char * | name | ) |

char* stpi_path_merge | ( | const char * | path,
|  | const char * | file
| ) |  |